﻿@model IEnumerable<CallMgrSystem.Models.tbl_Devices>

@{
    ViewBag.Title = "Quản lý Trạm | SmartCenter Recording";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="admins">
    <div class="list-decives">
        <h3><i class="fab fa-slack"></i> Danh sách thiết bị</h3>

        <a href="/Devices/Create">
            <button class="btn btn-success btn-md" style="margin-bottom: 10px;">
                <i class="fas fa-plus"></i>
                Thêm thiết bị
            </button>
        </a>

        <table id="f5devTable" class="table table-striped table-condensed">
            <thead>
                <tr>
                    <th onclick="sortTable(0)">Stt</th>
                    <th onclick="sortTable(1)">Số máy</th>
                    <th onclick="sortTable(2)">Tên</th>
                    <th onclick="sortTable(3)">Kiểu</th>
                    <th onclick="sortTable(4)">Mã ghi</th>
                    <th onclick="sortTable(5)">Ghi chú</th>
                    <th onclick="sortTable(6)" style="text-align: right">Hành động</th>
                </tr>
            </thead>
            <tbody>
                @{ int i = 0;}
                @foreach (var item in Model)
                {
                    i++;
                <tr>
                    <td>@i</td>
                    <td>@item.Number</td>
                    <td>@item.Name</td>
                    <td>@item.Type</td>
                    <td>@item.CrossrefID</td>
                    <td>@item.Description</td>
                    <td class="f5dev_action"><a href="/Devices/Edit/@item.Number"><i class="fas fa-edit item_edit"></i></a> <a href="/Devices/Delete/@item.Number"><i class="fas fa-times-circle item_delete"></i></a></td>
                </tr>
                }
            </tbody>
        </table>
    </div> <!-- End List Devices -->
</div>